Package org.globus.util.http

# Class HTTPChunkedOutputStream

java.lang.Object
java.io.OutputStream
org.globus.util.http.HTTPChunkedOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class HTTPChunkedOutputStream extends OutputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected byte[]`
`buf`
`protected boolean`
`closed`
`protected int`
`count`
`protected OutputStream`
`out`

## Constructor Summary

Constructors
Constructor
Description
`HTTPChunkedOutputStream(OutputStream out)`
`HTTPChunkedOutputStream(OutputStream out, int size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`write(byte[] b)`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### closed

protected boolean closed

### count

protected int count

### buf

protected byte[] buf

### out

protected OutputStream out

## Constructor Details

### HTTPChunkedOutputStream

public HTTPChunkedOutputStream(OutputStream out)

### HTTPChunkedOutputStream

public HTTPChunkedOutputStream(OutputStream out, int size)

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`